Subject: [209] Problem with dirglobs in upload statement

From: Max Maklin <[email-masked]>
Date: Wed, 27 Jul 1994 13:12:37 -0400

I have guest account that I would like them to have the ability to
upload files into their home directory.  I had the following problem,

if I specified the upload statement like this:

upload  /home/ftp  /pwrhse/teijin/*      yes      teijin  teijin  0660 dirs

The user could upload files only to subdirectories (i.e. /pwrhse/teijin/<subd>)
but they could not put files into their chdir() directory /pwrhse/teijin.

if I specified the upload statement like this:

upload  /home/ftp  /pwrhse/teijin*      yes      teijin  teijin  0660 dirs

Everything works fine.  Is the problem that the first dirglob is not
matching /pwrhse/teijin/. ??

Max
-- 
Max Maklin                                                P.O. Box 9707 
Sr. Technical Analyst	                           3755 Riverside Drive
Cognos Incorporated                              Ottawa, Ontario CANADA
Internet: [email-masked]                 UUNet: [email-masked]